Skip to main content
GET
Stream a pipeline step's logs of a pipeline repository

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

repository_id
string<uuid>
required

The connected pipeline repository.

run_id
string<uuid>
required

The pipeline run.

step_id
string<uuid>
required

The step.

Query Parameters

from_seq
integer

Resume after this stream sequence.

follow
boolean

Keep the stream open (true) or end it at the end of the history (false). Unset follows a running step only.

replay
boolean

Deliver the retained history before the live tail. Unset replays for a concluded step only.

Response

The step's output as an event stream.

The response is of type string.